diff stringlengths 12 9.3k | message stringlengths 8 199 | reasoning_trace null | repo stringlengths 6 68 | license stringclasses 3
values | language stringclasses 16
values |
|---|---|---|---|---|---|
@@ -20,6 +20,7 @@ import org.camunda.bpm.engine.impl.cfg.ProcessEnginePlugin;
import org.camunda.bpm.engine.impl.cfg.StandaloneInMemProcessEngineConfiguration;
import org.camunda.bpm.engine.test.ProcessEngineRule;
import org.camunda.bpm.engine.test.mock.MockExpressionManager;
+import org.camunda.bpm.engine.impl.history... | chore(spring-boot): set historyLevel FULL for default test configuration | null | camunda/camunda-bpm-platform | Apache License 2.0 | Java |
@@ -18,7 +18,7 @@ public protocol Formatter: Sanitizer {
}
public protocol Sanitizer {
- /// Sanitizes (unformats) the given value.
+ /// Sanitizes (removes any illegal character) the given value.
///
/// - Parameter value: The formatted value to remove the formatting from.
/// - Returns: The given value but without an... | chore: Update confusing documentation about Sanitizer | null | adyen/adyen-ios | MIT License | Swift |
@@ -28,6 +28,7 @@ create_settings_xml_file "settings.xml"
mvn clean deploy -B \
-DskipTests=true \
+ -Dclirr.skip=true \
--settings ${MAVEN_SETTINGS_FILE} \
-Dgpg.executable=gpg \
-Dgpg.passphrase=${GPG_PASSPHRASE} \
| chore: Skipping clirr check in stage job | null | googleapis/google-cloud-java | Apache License 2.0 | Shell |
@@ -47,10 +47,11 @@ public final class EvaluateQueryRefSetRequest extends IndexResourceRequest<Branc
public QueryRefSetMemberEvaluations execute(final BranchContext context) {
final SnomedReferenceSet referenceSet = SnomedRequests.prepareGetReferenceSet(referenceSetId).build().execute(context);
return new QueryRefSetMe... | chore(snomed): merge two stream map method for easier readability | null | b2ihealthcare/snow-owl | Apache License 2.0 | Java |
@@ -315,8 +315,10 @@ impl Common {
for await item in backward_store {
match item {
Ok(event) => yield Ok(event),
- Err(TimelineStreamError::EndCache { fetch_more_token }) => if let Err(error) = room.request_messages(&fetch_more_token).await {
+ Err(TimelineStreamError::EndCache { fetch_more_token }) => {
+ if let Err(e... | chore(sdk): Fix line length overflow in common.rs | null | matrix-org/matrix-rust-sdk | Apache License 2.0 | Rust |
@@ -29,7 +29,7 @@ if [[ "$CIRCLE_BRANCH" =~ ^tagged-release ]]; then
# @latest release
elif [[ "$CIRCLE_BRANCH" == "release" ]]; then
# create release commit and release tags
- npx lerna version --exact --conventional-commits --yes --no-push --include-merged-tags --message "chore(release): Publish latest [ci skip]"
+ n... | chore: fix lerna version script to graduate prereleases | null | aws-amplify/amplify-cli | Apache License 2.0 | Shell |
@@ -133,11 +133,8 @@ class Search(BaseHelper):
MAX_MEANINGFUL = 10
- def __init__(
- self, match_all=False, fuzzy=1, limit=10, autocomplete=True, verbose=False
- ):
+ def __init__(self, fuzzy=1, limit=10, autocomplete=True, verbose=False):
super().__init__(verbose=verbose)
- self.match_all = match_all
self.fuzzy = fuzz... | chore: remove unused variable `match_all` | null | addok/addok | MIT License | Python |
@@ -112,7 +112,6 @@ type PostCheckFunc func(types.Tx, *abci.ResponseCheckTx) error
// to the expected maxBytes.
func PreCheckMaxBytes(maxBytes int64) PreCheckFunc {
return func(tx types.Tx) error {
- // we subtract 4 here to account for the extra fields added to the data message
txSize := types.ComputeProtoSizeForTxs([... | chore: remove residual comment | null | lazyledger/lazyledger-core | Apache License 2.0 | Go |
@@ -52,7 +52,6 @@ test('CallMethod with no args, synchronous method', async () => {
const rootBlock = {
id: 'block:root:root:0',
blockId: 'root',
- type: 'TextInput',
meta: {
category: 'container',
},
@@ -131,7 +130,6 @@ test('CallMethod method return a promise', async () => {
const rootBlock = {
id: 'block:root:root:0... | chore(engine): Updated callMethod action method to use action & block plugin config | null | lowdefy/lowdefy | Apache License 2.0 | JavaScript |
@@ -78,7 +78,6 @@ open class BaseFormPickerItemView<T: CustomStringConvertible & Equatable>: FormV
/// :nodoc:
open func initialize() {
addSubview(inputControl)
- inputControl.translatesAutoresizingMaskIntoConstraints = false
inputControl.preservesSuperviewLayoutMargins = true
(inputControl as UIView).adyen.anchor(insi... | chore: Remove translatesAutoresizingMaskIntoConstraints from input control | null | adyen/adyen-ios | MIT License | Swift |
@@ -676,7 +676,7 @@ async def setup_alexa(hass, config_entry, login_obj):
if isinstance(message_obj.json_payload, dict) and
'payload' in message_obj.json_payload
else None)
- existing_serials = existing_serials = _existing_serials()
+ existing_serials = _existing_serials()
if 'websocket_commands' not in (hass.data[DATA... | chore: remove redundant assignment | null | custom-components/alexa_media_player | Apache License 2.0 | Python |
@@ -12,6 +12,8 @@ import (
"net/url"
"time"
+ "github.com/go-eagle/eagle/pkg/utils"
+
"github.com/pkg/errors"
"go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp"
)
@@ -61,7 +63,7 @@ func withFormBody(ctx context.Context, method, url string, form url.Values, opti
}
opt.header["Content-Type"] = []string{Conte... | chore: replace func | null | go-eagle/eagle | MIT License | Go |
@@ -27,11 +27,7 @@ public struct Environment: APIEnvironment {
/// Adyen's test environment.
public static let test = Environment(baseURL: URL(string: "https://checkoutshopper-test.adyen.com/")!)
-<<<<<<< HEAD
/// :nodoc:
-=======
- /// Adyen's beta environment.
->>>>>>> chore: refactored CardBrandProvider to take Card... | chore: fixed some conflict | null | adyen/adyen-ios | MIT License | Swift |
@@ -4,7 +4,7 @@ set -eo pipefail
cd `dirname $BASH_SOURCE`/..
-LAMBDA_DOCS_PAGE_PATH=../../../../docs/src/pages/ecosystem/aws-lambda-native-tracing/index.md
+LAMBDA_DOCS_PAGE_PATH=../../../../docs/src/pages/ecosystem/aws-lambda-native-tracing/nodejs/index.md
UI_INSTALL_HELP=../../../../ui-client/packages/in-waiting-for... | chore(lambda): update publish-layer script for changed docs structure | null | instana/nodejs-sensor | MIT License | Shell |
@@ -42,9 +42,5 @@ func (i *InstallerContext) RecipesProvided() bool {
// ShouldPrompt determines if the user should be prompted for input.
func (i *InstallerContext) ShouldPrompt() bool {
- if i.AdvancedMode {
- return true
- }
-
- return false
+ return i.AdvancedMode
}
| chore(install): lint for brevity | null | newrelic/newrelic-cli | Apache License 2.0 | Go |
@@ -120,10 +120,11 @@ export function loadCustomPlugins(dir: string) {
try {
const configPath = require.resolve('./volar.config.js', { paths: [dir] });
const config: { plugins?: vue.EmbeddedLanguageServicePlugin[] } = require(configPath);
+ console.warn('Found', configPath, 'and loaded', config.plugins?.length, 'plugin... | chore: update load `volar.config.js` wording | null | johnsoncodehk/volar | MIT License | TypeScript |
@@ -116,7 +116,11 @@ export default function Nesting() {
},
]}
focusRing={{
- offset: 24,
+ offset: {
+ x: 18,
+ y: 32,
+ },
+ borderRadius: 10,
}}
insetControls={true}
>
@@ -273,7 +277,7 @@ const COL = {
<>
<BlocksControls
index={index}
- focusRing={{ offset: 0, borderRadius: 0 }}
+ focusRing={{ offset: { x: -8, y: 10... | chore: updates demo-next to test x/y offset | null | tinacms/tinacms | Apache License 2.0 | TypeScript |
{
public static class ApplicationSettings
{
- public static string version = "0.6.7";
+ public static string version = "0.6.8";
}
public static class Environment
| chore: updated unity build to 0.6.8 | null | decentraland/explorer | Apache License 2.0 | C# |
@@ -53,7 +53,7 @@ export const deleteProject = async (context: $TSContext): Promise<void> => {
message: 'Project delete failed.',
stack: ex.stack,
details: ex.message,
- });
+ }, ex);
}
}
removeLocalAmplifyDir(context);
| chore: add downstream exception | null | aws-amplify/amplify-cli | Apache License 2.0 | TypeScript |
@@ -25,7 +25,7 @@ module.exports = {
extends: [
"eslint:recommended",
"plugin:@typescript-eslint/recommended",
- "prettier/@typescript-eslint"
+ "prettier"
],
parser: "@typescript-eslint/parser",
parserOptions: {
| chore: .eslintrc.js: breaking change | null | opstrace/opstrace | Apache License 2.0 | JavaScript |
-import type { NextFunction, Request, RequestHandler, Response } from "express"
-
-export function unless(
- path: string,
- middleware: RequestHandler
-): RequestHandler {
- return (req: Request, res: Response, next: NextFunction) => {
- if (path === req.baseUrl) {
- next()
- } else {
- middleware(req, res, next)
- }
... | chore: Remove Unless Helper | null | artsy/force | MIT License | TypeScript |
import torch
import torch.nn as nn
import torch.nn.functional as F
+from ..train.utils import get_info
class StackedRNN(nn.Module):
@@ -117,16 +118,20 @@ class StackedRNN(nn.Module):
else:
return nn.CrossEntropyLoss()
- def forward(self, sequence):
+ def forward(self, sequences):
+
+ if isinstance(sequences, PackedSequ... | chore: raise an error when trying to label variable length sequences | null | pyannote/pyannote-audio | MIT License | Python |
@@ -1162,16 +1162,6 @@ impl<T: UserEvent> Dispatch<T> for WryDispatcher<T> {
self.window_id,
WindowMessage::AddEventListener(id, Box::new(f)),
));
- /* self
- .context
- .window_event_listeners
- .lock()
- .unwrap()
- .get(&self.window_id)
- .unwrap()
- .lock()
- .unwrap()
- .insert(id, Box::new(f));*/
id
}
| chore(tauri-runtime-wry): remove commented out code | null | tauri-apps/tauri | Apache License 2.0 | Rust |
@@ -104,7 +104,10 @@ run() {
base_image=$(cat "$iidfile")
info "Create image from base image: $base_image"
- docker build --iidfile "$iidfile" -t "$image" --build-arg "IMAGE=$base_image" . -f "dockerfiles/.shellspec" | grayout
+ # Disable BuildKit to avoid fail to build from local SHA-ID
+ # https://github.com/moby/mob... | chore: Disable BuildKit to avoid fail to build [ci skip] | null | shellspec/shellspec | MIT License | Shell |
@@ -8,6 +8,8 @@ config :logflare, LogflareWeb.Endpoint,
config :logflare, env: :test
+config :logger, :console, metadata: :all, level: :error
+
config :logflare, Logflare.Google,
dataset_id_append: "_test",
project_number: "1023172132421",
| chore: update console logging for tests to only show errors | null | logflare/logflare | Apache License 2.0 | Elixir |
@@ -99,7 +99,7 @@ const DataSummary = () => {
return (
<>
- <TableOfContentsWrapper>
+ <TableOfContentsWrapper topMargin>
<ul className={summaryStyle.toc}>
{categories.map(({ title, summaries }) => (
<>
| chore: Add top margin to data summary page | null | covid19tracking/website | Apache License 2.0 | JavaScript |
@@ -119,7 +119,7 @@ internal struct BACSDirectDebitItemsFactory: BACSDirectDebitItemsFactoryProtocol
textItem.placeholder = Content.emailItemTitle
// TODO: - Set up validator
- // textItem.validator = ...
+ textItem.validator = EmailValidator()
// textItem.validationFailureMessage = ...
textItem.autocapitalizationType ... | chore: Set up validation on email item | null | adyen/adyen-ios | MIT License | Swift |
use super::*;
+use codec::Encode;
use cumulus_primitives_core::ParaId;
+use frame_support::{
+ parameter_types,
+ traits::{Everything, Get, Nothing},
+ weights::Weight,
+};
+use orml_traits::{location::AbsoluteReserveProvider, parameter_type_with_key, MultiCurrency};
use orml_xcm_support::{DepositToAlternative, IsNativ... | chore: copy kintsugi xcm config to interlay | null | interlay/interbtc | Apache License 2.0 | Rust |
@@ -263,6 +263,9 @@ public abstract class BeforeEvent extends EventObject {
* <p>
* This function changes the browser URL as opposed to
* <code>rerouteTo()</code>.
+ * <p>
+ * Note that query parameters of the event are preserved in the forwarded
+ * URL.
*
* @param forwardTarget
* the navigation handler to use, or {@c... | chore: mention query parameters in reroute and forward methods | null | vaadin/flow | Apache License 2.0 | Java |
@@ -14,7 +14,7 @@ git push origin --tags --verbose
# Create a GitHub release matching this tag
-REPO=$(git config --get remote.origin.url | sed -e's/.*\///;s/.git$//')
+REPO=$(git config --get remote.origin.url | sed -e's/.*://;s/.git$//')
BRANCH=$(git rev-parse --abbrev-ref HEAD)
| chore: fix auto build pushing | null | arnog/mathlive | MIT License | Shell |
@@ -58,17 +58,21 @@ const authenticatedOnNpm = async () => {
};
const authenticatedOnVsce = async () => {
+ let publishers = '';
+
try {
const { stdout } = await execa('vsce ls-publishers');
- if (!stdout.split('\n').includes('webhint')) {
- throw new Error('No vsce publish access for webhint, run `vsce login webhint`'... | chore: Bubble up error for vsce login | null | webhintio/hint | Apache License 2.0 | TypeScript |
@@ -26,7 +26,6 @@ use crate::TxnReply;
/// The state of an applied raft log.
/// Normally it includes two fields: the state before applying and the state after applying the log.
-#[allow(clippy::large_enum_variant)]
#[derive(
Serialize, Deserialize, Debug, Clone, PartialEq, Eq, derive_more::From, derive_more::TryInto,
... | chore(meta): remove unused AppliedState::MetaSrvAddr | null | datafuselabs/databend | Apache License 2.0 | Rust |
@@ -22,6 +22,7 @@ const String _kEllipsis = '\u2026';
/// Flutter's paragraph line-height calculation logic differs from web's
/// Use multiple line text painters to controll the leading of font in paint stage
/// A render object that displays a paragraph of text.
+/// W3C line-height spec: https://www.w3.org/TR/css-in... | chore: add ref to W3C line-height spec | null | openkraken/kraken | Apache License 2.0 | Dart |
const EventEmitter = require("events").EventEmitter,
eslintScope = require("eslint-scope"),
levn = require("levn"),
- lodash = require("lodash"),
blankScriptAST = require("../conf/blank-script.json"),
defaultConfig = require("../conf/default-config-options.js"),
replacements = require("../conf/replacements.json"),
@@ -... | chore: create report translators lazily | null | eslint/eslint | MIT License | JavaScript |
@@ -18,9 +18,16 @@ npm run lerna -- exec -- bash -c "npm publish --access public || true"
export NPM_CONFIG_REGISTRY="${REG}"
rm -f ~/.npmrc
-VERSION=$(git reflog -n 1 | grep "commit: v." | awk '{print $4}')
+# Note: the following will need to change once we
+VERSION="v$(cat lerna.json | jq .version | tr -d '\"')"
if [... | chore(tooling): fix version detection to ensure we only publish updated packages | null | webex/webex-js-sdk | MIT License | Shell |
import AdyenNetworking
import Foundation
-// TODO: - Document
-public struct AnalyticsOptions: OptionSet {
- public let rawValue: Int
-
- public static let telemetry = AnalyticsOptions(rawValue: 1 << 0)
- public static let checkoutAttemptId = AnalyticsOptions(rawValue: 1 << 1)
-
- public init(rawValue: Int) {
- self.ra... | chore: Remove option set implementation in AnalyticsConfiguration | null | adyen/adyen-ios | MIT License | Swift |
@@ -142,12 +142,14 @@ abstract class BindingBridge {
}
static void listenEvent(EventTarget target, String type) {
- assert(_debugShouldNotListenMultiTimes(target, type), '$target $type');
+ assert(_debugShouldNotListenMultiTimes(target, type),
+ 'Failed to listen event \'$type\' for $target, for which is already bound.... | chore: modify assert expression | null | openkraken/kraken | Apache License 2.0 | Dart |
@@ -31,11 +31,20 @@ if [ "$ok" == "yes" ]; then
init="yes"
fi
+rebuild="no"
+if [ "$init" == "no" ]; then
+ read -p "rebuild database ('yes' or 'no', default is 'no')? " ok
+ if [ "$ok" == "yes" ]; then
+ rebuild="yes"
+ fi
+fi
+
port="80"
httpsPort="443"
etcDir="/etc/esmd"
domain="esm.sh"
cdnDomain=""
+
if [ "$init" =... | chore: update deploy script (add rebuild database option) | null | esm-dev/esm.sh | MIT License | Shell |
@@ -289,10 +289,6 @@ impl<T: Config> Module<T> {
let height = <frame_system::Pallet<T>>::block_number();
let maturity = height + Self::get_operator_unbonding_period();
operator.add_pending_operator_withdrawal(request_id, collateral_to_withdraw, maturity)?;
- // get operator collateral
- // get nominator collateral
- //... | chore(nomination): Clean up comments | null | interlay/interbtc | Apache License 2.0 | Rust |
@@ -169,18 +169,8 @@ pub struct Config {
#[clap(flatten)]
object_store_config: ObjectStoreConfig,
- /// Postgres connection string. If not specified, will use an in-memory catalog.
- #[clap(long = "--catalog-dsn", env = "INFLUXDB_IOX_CATALOG_DSN", action)]
- pub dsn: Option<String>,
-
- /// Schema name for PostgreSQL-b... | chore: Expose all DSN flags in all-in-one | null | influxdata/influxdb_iox | Apache License 2.0 | Rust |
@@ -28,10 +28,6 @@ public:
explicit DocumentFragmentInstance(JSDocumentFragment *JSDocumentFragment);
JSDocumentFragment *nativeDocumentFragment;
-
- private:
- JSStringHolder m_data{context, ""};
- JSStringHolder m_type{context, ""};
};
protected:
~JSDocumentFragment();
| chore: delete useless variables | null | openkraken/kraken | Apache License 2.0 | C |
@@ -18,22 +18,19 @@ if [ "$(uname)" == "Linux" ]; then
elif [ "$(uname)" == "Darwin" ]; then
OS="Darwin"
else
- echo "This operating system is not supported."
+ echo "This operating system is not supported. The supported operating systems are Linux and Darwin"
exit 1
fi
-
if [ "$(uname -m)" == "x86_64" ]; then
MACHINE=... | chore(install): improve messaging about what is supported | null | newrelic/newrelic-cli | Apache License 2.0 | Shell |
@@ -12,7 +12,7 @@ import FloatingMenu, {
DIRECTION_TOP,
DIRECTION_BOTTOM,
} from 'carbon-components-react/es/internal/FloatingMenu';
-import { OverflowMenuVertical16 } from '@carbon/icons-react';
+import { OverflowMenuVertical20 } from '@carbon/icons-react';
import { useLangDirection } from 'use-lang-direction';
import... | chore(overflowmenu): change default icon size | null | carbon-design-system/carbon-addons-iot-react | Apache License 2.0 | JavaScript |
@@ -8,10 +8,10 @@ class AwsSamCli < Formula
sha256 "214379ac66693903390b40739179a90e0d6520d0782a055001905da78955df1c"
head "https://github.com/awslabs/aws-sam-cli.git", :branch => "develop"
bottle do
- root_url "https://github.com/awslabs/aws-sam-cli/releases/download/v0.31.1/"
+ root_url "https://github.com/awslabs/aw... | chore: Updating bottles for SAM CLI v0.32.0 | null | aws/homebrew-tap | Apache License 2.0 | Ruby |
@@ -25,8 +25,11 @@ public struct SRPClientState {
private static func calculatePrivateA(prime N: BigInt) -> BigInt {
let byteSize = 256 / 8
- let randomInt = generateRandomUnsigned(of: byteSize)
- return randomInt % N
+ var randomInt: BigInt
+ repeat {
+ randomInt = generateRandomUnsigned(of: byteSize)
+ } while (rando... | chore: Change the SRP private a calculation to make in unbiased | null | aws-amplify/amplify-ios | Apache License 2.0 | Swift |
@@ -42,12 +42,14 @@ export function InlineImageField({
return (
<InlineField name={name}>
{({ input, status, form }) => {
+ const _previewSrc = previewSrc(form.finalForm.getState().values)
+
if (status === 'active') {
return (
<InputFocusWrapper>
<ImageUpload
value={input.value}
- previewSrc={previewSrc(form.finalForm.... | chore: inline image field passes preview src to children | null | tinacms/tinacms | Apache License 2.0 | TypeScript |
-#!/usr/bin/env bash
-
-#######################################
-# (c) Copyright IBM Corp. 2021
-# (c) Copyright Instana Inc. and contributors 2020
-#######################################
-
-set -eo pipefail
-
-# We can use this once our changes to license-ls are merged.
-licensels="npx license-ls"
-
-# For now, we us... | chore: removed license report script | null | instana/nodejs-sensor | MIT License | Shell |
@@ -45,7 +45,7 @@ namespace Amazon.Runtime.Internal.Util
InternalLog4netLogger log4netLogger = new InternalLog4netLogger(type);
loggers.Add(log4netLogger);
loggers.Add(new InternalConsoleLogger(type));
-#if BCL || (NETSTANDARD && !NETSTANDARD13)
+#if !NETSTANDARD13
InternalSystemDiagnosticsLogger sdLogger = new Interna... | chore: Remove outdated macro switches from Logger | null | aws/aws-sdk-net | Apache License 2.0 | C# |
@@ -14,6 +14,7 @@ using PepperDash.Essentials.DM.Config;
namespace PepperDash.Essentials.DM.Chassis
{
+ [Obsolete("Please use HdMdNxM4kEBridgeable Controller")]
public class HdMdNxM4kEController : CrestronGenericBaseDevice, IRoutingInputsOutputs, IRouting
{
public HdMdNxM Chassis { get; private set; }
@@ -32,6 +33,7 @@... | chore: Mark non-bridgeable class obsolete | null | pepperdash/essentials | MIT License | C# |
@@ -11,7 +11,7 @@ if [ "$TRAVIS_REPO_SLUG" == "$PUBLISH_THIS_REPO_SLUG" ] && [ "$TRAVIS_BRANCH" ==
echo "pushing builds"
unset TEST_FROM_BUILD
(cd $TOPDIR/tests && npm run deinstrument)
- (cd $TOPDIR/dist/publishers/s3 && npm install && sudo apt-get install wine fakeroot && BRANCH="dev.$TRAVIS_BUILD_NUMBER" ./publish.s... | chore: add missing apt-get update in travis s3 publisher | null | ibm/kui | Apache License 2.0 | Shell |
@@ -59,7 +59,7 @@ _TEST_REQUIRE = [
_BENCHMARK_REQUIRE = ["pytest-benchmark==3.2.2"]
-_VERSION = "0.3.4"
+_VERSION = "0.3.5"
_PACKAGES = find_packages(exclude=["tests*"])
| chore(clg): Update changelog | null | tartiflette/tartiflette | MIT License | Python |
import Foundation
open class MediaControl: UICorePlugin, UIGestureRecognizerDelegate {
-
- override open var view: UIView {
- didSet {
- view.addSubview(container)
-
- view.bindFrameToSuperviewBounds()
- container.bindFrameToSuperviewBounds()
-
- let gesture = UITapGestureRecognizer(target: self, action: #selector(tapp... | chore: removing unnecessary view property | null | clappr/clappr-ios | BSD 3-Clause New or Revised License | Swift |
@@ -23,7 +23,7 @@ echo "Next version: $LAYER_VERSION"
echo "Building and publishing new layer version:"
-SKIP_DOCKER_IMAGE=true BBUILD_LAYER_WITH=local LAYER_NAME=$LAYER_NAME ../layer/bin/publish-layer.sh
+SKIP_DOCKER_IMAGE=true BUILD_LAYER_WITH=local LAYER_NAME=$LAYER_NAME ../layer/bin/publish-layer.sh
echo "Re-Buildi... | chore(lambda): fix typo in script for experimental layer | null | instana/nodejs-sensor | MIT License | Shell |
@@ -46,9 +46,9 @@ export class ListQueryBuilder implements OnApplicationBootstrap {
options: ListQueryOptions<T> = {},
extendedOptions: ExtendedListQueryOptions<T> = {},
): SelectQueryBuilder<T> {
- const skip = options.skip;
const rawConnection = this.connection.rawConnection;
- let take = options.take;
+ const skip =... | chore(core): Fix bad merge in ListQueryBuilder | null | vendure-ecommerce/vendure | MIT License | TypeScript |
@@ -170,8 +170,8 @@ class Wprelease
Dir.chdir "#{@svn_dir}"
# system "rsync #{@svn_dir}/trunk/ #{@svn_dir}/tags/#{@version} --recursive"
- system "svn cp trunk tags/#{@version}"
- system "svn add tags/#{@version}"
+ system "svn copy trunk tags/#{@version}"
+ # system "svn add tags/#{@version}"
system "svn commit -m 're... | chore: fiddle with release script | null | podlove/podlove-publisher | MIT License | Ruby |
@@ -248,6 +248,7 @@ open class AVFoundationPlayback: Playback {
asset.wait(for: .characteristics, then: selectDefaultMediaOptionIfNeeded)
asset.wait(for: .duration, then: durationAvailable)
+ setupObservers()
addObservers()
}
@@ -270,7 +271,7 @@ open class AVFoundationPlayback: Playback {
}
#endif
- @objc internal func... | chore: add setupObserver funtion to separete of concerns | null | clappr/clappr-ios | BSD 3-Clause New or Revised License | Swift |
#!/usr/bin/env bats
-# Copyright (c) 2022 SIGHUP s.r.l All rights reserved.
+# Copyright (c) 2017-present SIGHUP s.r.l All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
@@ -32,7 +32,7 @@ load ./helper
@test "Wait until Gatekeeper Controller is rea... | chore(ci): more debug output and reduce wait times to fail faster | null | sighupio/gatekeeper-policy-manager | BSD 3-Clause New or Revised License | Shell |
@@ -135,7 +135,7 @@ export default ({
</LoadingPanel>
) : (
<div id="address_hash__text">
- <code>{adaptPCEllipsis(hashText, 20, 40)}</code>
+ <code>{adaptPCEllipsis(hashText, 18, 40)}</code>
</div>
)}
<div
| chore: adjust address title card length | null | nervosnetwork/ckb-explorer-frontend | MIT License | TypeScript |
@@ -26,9 +26,10 @@ use super::Plan;
#[derive(Clone)]
pub enum InsertInputSource {
SelectPlan(Box<Plan>),
- // From outside streaming source
+ // From outside streaming source with 'FORMAT <format_name>;
+ // used in clickhouse handler only;
StreamingWithFormat(String, usize, Option<Arc<InputContext>>),
- // From outsid... | chore: some comments about StreamingWithFormat | null | datafuselabs/databend | Apache License 2.0 | Rust |
-/*
- * JBoss, Home of Professional Open Source
- * Copyright 2005, JBoss Inc., and individual contributors as indicated
- * by the @authors tag. See the copyright.txt in the distribution for a
- * full listing of individual contributors.
- *
- * This is free software; you can redistribute it and/or modify it
- * under... | chore: removes dead class | null | arquillian/arquillian-core | Apache License 2.0 | Java |
@@ -8,10 +8,10 @@ import (
"net/http/httptest"
"testing"
+ "github.com/gin-gonic/gin"
+
"github.com/1024casts/snake/internal/model"
"github.com/1024casts/snake/pkg/testutil"
-
- "github.com/gin-gonic/gin"
)
// see: https://rshipp.com/go-api-integration-testing/
@@ -20,7 +20,7 @@ func TestGet(t *testing.T) {
// Test bod... | chore: modify UserModel to UserBaseModel | null | go-eagle/eagle | MIT License | Go |
@@ -27,7 +27,7 @@ if [[ -z "${CLIENT_ENCRYPTION}" ]]; then
unset AWS_ACCESS_KEY_ID;
unset AWS_SECRET_ACCESS_KEY;
else
- npm install mongodb-client-encryption@1.0.0-rc0
+ npm install mongodb-client-encryption@1.0.0-rc3.0
fi
MONGODB_UNIFIED_TOPOLOGY=${UNIFIED} MONGODB_URI=${MONGODB_URI} npm test
| chore: depend on latest version of client encryption module | null | mongodb/node-mongodb-native | Apache License 2.0 | Shell |
@@ -67,3 +67,15 @@ registerRoute(
registerRoute(({ url }) => {
return url.pathname.includes("index.html");
}, new NetworkOnly());
+
+self.addEventListener("install", (event) => {
+ event.waitUntil(
+ caches.keys().then(function(cacheNames) {
+ return Promise.all(
+ cacheNames.map(function(cacheName) {
+ return caches.d... | chore: Delete service worker cache | null | appsmithorg/appsmith | Apache License 2.0 | JavaScript |
@@ -805,6 +805,11 @@ class BaseExecutor(JAMLCompatible, metaclass=ExecutorType):
:param kwargs: other kwargs accepted by the Flow, full list can be found `here <https://docs.jina.ai/api/jina.orchestrate.flow.base/>`
"""
+ warnings.warn(
+ f'Executor.serve() is no more supported and will be deprecated soon. Use Deployme... | chore: deprecate executor serve and to_kubernetes_yaml methods | null | jina-ai/jina | Apache License 2.0 | Python |
/*
- * Copyright 2011-2017 B2i Healthcare Pte Ltd, http://b2i.sg
+ * Copyright 2011-2023 B2i Healthcare Pte Ltd, http://b2i.sg
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
@@ -34,15 +34,18 @@ import org.slf4j.LoggerFactory;
public... | chore(test): defer loading bundle until rule start method call | null | b2ihealthcare/snow-owl | Apache License 2.0 | Java |
@@ -104,7 +104,7 @@ public class AdminUserProperty implements User {
.add("firstName=" + firstName)
.add("lastName=" + lastName)
.add("email=" + email)
- .add("password=" + password)
+ .add("password=******")
.toString();
}
| chore(security): obfuscate user password in logs | null | camunda/camunda-bpm-platform | Apache License 2.0 | Java |
namespace Podlove\Api\Podcast;
use Podlove\Model\Podcast;
-use WP_Error;
use WP_REST_Controller;
-use WP_REST_Response;
use WP_REST_Server;
add_action('rest_api_init', function () {
@@ -29,6 +27,12 @@ class WP_REST_Podlove_Controller extends WP_REST_Controller
*/
public function register_routes()
{
+ $categories = \Pod... | chore(api): adds some fields to podcast route | null | podlove/podlove-publisher | MIT License | PHP |
@@ -75,9 +75,7 @@ export async function scanImports(config: ResolvedConfig): Promise<{
// Non-supported entry file types and virtual files should not be scanned for
// dependencies.
entries = entries.filter(
- (entry) =>
- (JS_TYPES_RE.test(entry) || htmlTypesRE.test(entry)) &&
- fs.existsSync(entry)
+ (entry) => isSca... | chore: use isScannable in optimizer scan | null | vitejs/vite | MIT License | TypeScript |
import 'dart:ui';
+import 'package:flutter/rendering.dart';
import 'package:kraken/css.dart';
// https://drafts.csswg.org/css-values-3/#absolute-lengths
@@ -38,17 +39,13 @@ enum CSSLengthUnit {
class CSSLengthValue {
final double? value;
final CSSLengthUnit unit;
- CSSLengthValue(this.value, this.unit, [this.renderStyl... | chore: opt variable type | null | openkraken/kraken | Apache License 2.0 | Dart |
@@ -41,7 +41,7 @@ internal struct PaymentsRequest: APIRequest {
try container.encodeIfPresent(data.socialSecurityNumber, forKey: .socialSecurityNumber)
try container.encode(Locale.current.identifier, forKey: .shopperLocale)
try container.encodeIfPresent(data.browserInfo, forKey: .browserInfo)
-// try container.encodeIf... | chore: small fix in PaymentsRequest in the demo code | null | adyen/adyen-ios | MIT License | Swift |
@@ -4,25 +4,28 @@ set -e
git config --global user.name "Travis CI"
git config --global user.email "noreply+travis@fossasia.org"
-export DEPLOY_BRANCH=${DEPLOY_BRANCH:-master}
+export DEPLOY_BRANCH=${DEPLOY_BRANCH:-development}
+export PUBLISH_BRANCH=${PUBLISH_BRANCH:-master}
-if [ "$TRAVIS_PULL_REQUEST" != "false" -o "... | chore: Generate apps from development branch | null | fossasia/open-event-organizer-android | Apache License 2.0 | Shell |
-#!//bin/bash
+#!/bin/bash
+
+# Replacing MacOS utilities with GNU core utilities to make script more robust
+# See: https://apple.stackexchange.com/questions/69223/how-to-replace-mac-os-x-utilities-with-gnu-core-utilities
+if [[ "$OSTYPE" == "darwin"* ]]; then
+ brew ls --versions coreutils > /dev/null;
+ exitCode=$?
... | chore: macos release-script fixes | null | cryptoadvance/specter-desktop | MIT License | Shell |
+use arrow_flight::{error::FlightError, Ticket};
use arrow_util::assert_batches_sorted_eq;
use data_types::{NamespaceId, TableId};
use futures::FutureExt;
use generated_types::{influxdata::iox::ingester::v1 as proto, ingester::IngesterQueryRequest};
use http::StatusCode;
-use influxdb_iox_client::flight::generated_type... | chore: Remove old ingester end to end tests | null | influxdata/influxdb_iox | Apache License 2.0 | Rust |
@@ -38,7 +38,7 @@ namespace OpenPrFunction
// get PR number
var allPrs = await githubClient.PullRequest.GetAllForRepository(parameters.RepoOwner, parameters.RepoName);
- var pr = allPrs.First(p => p.State == ItemState.Open && p.Head.Sha == commit.Sha);
+ var pr = allPrs.FirstOrDefault(p => p.State == ItemState.Open && ... | chore: updated pull request template | null | imgbot/imgbot | MIT License | C# |
@@ -28,6 +28,7 @@ module.exports = {
chrome: {
desiredCapabilities: {
browserName: 'chrome',
+ browserVersion: 'latest',
javascriptEnabled: true,
acceptSslCerts: true,
},
| chore: adds browser version to nightwatch config | null | rei/rei-cedar-vue-2 | MIT License | JavaScript |
// tslint:disable no-lifecycle-call no-use-before-declare no-magic-numbers
// tslint:disable no-any max-file-line-count no-unbound-method use-component-selector
+import { CollectionViewer } from '@angular/cdk/collections';
+import { DataSource } from '@angular/cdk/table';
import { HttpClientTestingModule } from '@angul... | chore: Let FakeDataSource implement interface DataSource so that disconnect() is not marked as unused | null | dynatrace-oss/barista | Apache License 2.0 | TypeScript |
@@ -47,7 +47,7 @@ internal struct PaymentsRequest: APIRequest {
try container.encodeIfPresent(data.socialSecurityNumber, forKey: .socialSecurityNumber)
try container.encode(Locale.current.identifier, forKey: .shopperLocale)
try container.encodeIfPresent(data.browserInfo, forKey: .browserInfo)
-// try container.encodeIf... | chore: uncommented code in PaymentsRequest.swift | null | adyen/adyen-ios | MIT License | Swift |
@@ -27,6 +27,7 @@ import (
"github.com/influxdata/flux/runtime"
"github.com/influxdata/flux/semantic"
"github.com/influxdata/flux/values"
+ "github.com/opentracing/opentracing-go"
)
type REPL struct {
@@ -153,6 +154,11 @@ func (r *REPL) Input(t string) (*libflux.FluxError, error) {
// input processes a line of input an... | chore: create a root span for REPL input | null | influxdata/flux | MIT License | Go |
@@ -9,6 +9,7 @@ import { CheckBox, CheckBoxes, TextModeCheckBox } from '../fields/CheckBox';
import Code, { CodeTextMode } from '../fields/Code';
import Datalist, { DatalistTextMode } from '../fields/Datalist';
import { DateWidget, DateTimeWidget, TimeWidget } from '../fields/Date';
+import Enumeration from '../fields/... | chore(Enumeration): missing for widgets | null | talend/ui | Apache License 2.0 | JavaScript |
@@ -35,27 +35,10 @@ public final class DropInComponent: NSObject, PresentableComponent {
public let title: String
/// :nodoc:
- public var environment: Environment {
- get {
- configuration.environment
- }
-
- set {
- configuration.environment = newValue
- }
- }
+ public let environment: Environment
/// :nodoc:
- publi... | chore: made DropInComponent.environment and DropInComponent.clientKey readonly | null | adyen/adyen-ios | MIT License | Swift |
#!/usr/bin/env bash
shopt -s nocasematch
-semantic_pattern='(feat|fix|docs|style|refactor|perf|test|build|ci|chore|revert)(\([^)]+\))?: +[^ ]'
+semantic_pattern='^(Merge branch '\''.+'\'' into|(feat|fix|docs|style|refactor|perf|test|build|ci|chore|revert)(\([^)]+\))?: +[^ ])'
if [[ $1 == "test" ]]; then
exit_code=0
@@ ... | chore: semantic checks allow Merge commits | null | influxdata/influxdb_iox | Apache License 2.0 | Shell |
@@ -559,10 +559,19 @@ public class DefaultDmnEngineConfiguration extends DmnEngineConfiguration {
* Set a list of FEEL Custom Function Providers.
*
* @param feelCustomFunctionProviders a list of FEEL Custom Function Providers
- * @return this
*/
- public DefaultDmnEngineConfiguration setFeelCustomFunctionProviders(List... | chore(dmn): update feel custom providers setters | null | camunda/camunda-bpm-platform | Apache License 2.0 | Java |
@@ -148,6 +148,11 @@ for SUITE_ITERATION in $(seq 1 "${MAX_TEST_SUITE_RETRIES}"); do
EXIT_CODE=$?
# Generate the coverage report
npm run tooling -- test --no-tests --node
+ elif [ "${PACKAGE}" == "@webex/sparkd" ]; then
+ npm test -- --package @webex/sparkd --node >> "${GRUNT_LOG_FILE}" 2>&1
+ EXIT_CODE=$?
+ # Generate... | chore(sparkd): ignore webex-sparkd | null | webex/webex-js-sdk | MIT License | Shell |
@@ -419,19 +419,6 @@ public class BpmnDeployer extends AbstractDefinitionDeployer<ProcessDefinitionEn
addAuthorizationsFromIterator(processDefinition.getCandidateStarterGroupIdExpressions(), processDefinition, ExprType.GROUP);
}
- protected void createResource(String name, byte[] bytes, DeploymentEntity deploymentEntit... | chore(engine): remove unused method | null | camunda/camunda-bpm-platform | Apache License 2.0 | Java |
@@ -18,7 +18,7 @@ namespace {
enum Color {
Red,
Blue,
- Yello,
+ Yellow,
Unknown
};
@@ -30,7 +30,7 @@ SKYPAT_F( StringSwitchTest, simple_test)
Color color = StringSwitch<Color>(color_str)
.Case("Red", Red)
.Case("Blue", Blue)
- .Case("Yello", Yello)
+ .Case("Yellow", Yellow)
.Default(Unknown);
ASSERT_TRUE(Red == color)... | chore: fix the typo of the color name, "yellow" | null | onnc/onnc | BSD 3-Clause New or Revised License | C++ |
@@ -31,6 +31,7 @@ import io.opentelemetry.sdk.trace.export.BatchSpanProcessor;
import io.opentelemetry.sdk.trace.export.SpanExporter;
import io.opentelemetry.sdk.trace.samplers.Sampler;
import io.opentelemetry.semconv.resource.attributes.ResourceAttributes;
+import io.opentelemetry.semconv.trace.attributes.SemanticAttr... | chore: use standard OTel SemanticAttribute constants | null | vertaai/modeldb | Apache License 2.0 | Java |
@@ -145,6 +145,10 @@ module.exports = {
return `import { CaretUp, ChevronRight, [...IconName] } from '@tds/core-interactive-icon'`
}
+ if (name === 'NavButton') {
+ return `import { CartEmptyBold, [...IconName] } from '@tds/core-interactive-icon'`
+ }
+
return `import ${name} from '@tds/core-${kebabizeName}'`
},
| chore(config): add NavButton to styleguidist | null | telus/tds-core | MIT License | JavaScript |
@@ -484,7 +484,7 @@ async fn get_static(
path: warp::path::Tail,
) -> Result<warp::reply::Response, std::convert::Infallible> {
let path = path.as_str();
- tracing::info!("GET ~static /{}", path);
+ tracing::debug!("GET ~static /{}", path);
let asset = match Static::get(path) {
Some(asset) => asset,
@@ -547,7 +547,7 @@... | chore(Serve): Reduce log levels | null | stencila/stencila | Apache License 2.0 | Rust |
@@ -52,10 +52,8 @@ impl Display for FileConfig {
fn fmt(&self, f: &mut Formatter<'_>) -> std::fmt::Result {
write!(
f,
- "{} level={} dir={}",
- if self.on { "enabled" } else { "disabled" },
- self.level,
- self.dir
+ "enabled={}, level={}, dir={}",
+ self.on, self.level, self.dir
)
}
}
@@ -82,8 +80,13 @@ impl Display ... | chore: add how to enable the stderr log | null | datafuselabs/databend | Apache License 2.0 | Rust |
@@ -14,8 +14,7 @@ class EmptyableRecyclerView @JvmOverloads constructor(
context: Context?,
attrs: AttributeSet? = null,
defStyle: Int = 0
-) :
- RecyclerView(context, attrs, defStyle) {
+) : RecyclerView(context, attrs, defStyle) {
private lateinit var emptyView: View
private val observer: AdapterDataObserver = object... | chore(*): fix a whitespace issue | null | chesire/nekome | Apache License 2.0 | Kotlin |
@@ -236,11 +236,11 @@ const base::FilePath::StringPieceType kPathDelimiter = FILE_PATH_LITERAL(":");
// below. Extension, and isolated apps require different privileges to be
// granted to their RenderProcessHosts. This classification allows us to make
// sure URLs are served by hosts with the right set of privileges.
... | chore: make RenderProcessHostPrivilege enum class | null | electron/electron | MIT License | C++ |
@@ -48,7 +48,7 @@ function filter_messages() {
continue
fi
# Likely uninteresting changes.
- if grep -qP "^(ci|chore|test|testing|cleanup|refactor)\b" <<<"${message}"; then
+ if grep -qP "^(ci|chore|test|testing|cleanup|refactor|impl)\b" <<<"${message}"; then
continue
fi
echo "${message}"
| chore: add "impl" to the list of uninteresting changes | null | googleapis/google-cloud-cpp | Apache License 2.0 | Shell |
@@ -612,6 +612,8 @@ void SuperMediaPlayer::GetOption(const char *key, char *value)
if (!mDemuxerService->isPlayList()) {
size = mDataSource->Seek(0, SEEK_SIZE);
}
+ } else if (mBSSeekCb) {
+ size = mBSSeekCb(mBSCbArg, 0, SEEK_SIZE);
}
snprintf(value, MAX_OPT_VALUE_LENGTH, "%" PRId64 "", size);
| chore(superMediaPlayer): get stream size from callback | null | alibaba/cicadaplayer | MIT License | C++ |
+/*
+ * Copyright Camunda Services GmbH and/or licensed to Camunda Services GmbH
+ * under one or more contributor license agreements. See the NOTICE file
+ * distributed with this work for additional information regarding copyright
+ * ownership. Camunda licenses this file to you under the Apache License,
+ * Version ... | chore(engine): add license header | null | camunda/camunda-bpm-platform | Apache License 2.0 | Java |
@@ -28,6 +28,9 @@ import java.util.Map;
import java.util.Set;
import java.util.function.BiConsumer;
import java.util.function.Consumer;
+import java.util.logging.Logger;
+
+import jdk.internal.net.http.common.Log;
import software.amazon.smithy.aws.traits.ServiceTrait;
import software.amazon.smithy.aws.traits.auth.SigV4... | chore(codegen): awsAuthPlugin to set default signing name | null | aws/aws-sdk-js-v3 | Apache License 2.0 | Java |
@@ -21,6 +21,7 @@ extension AdyenSession: ActionComponentDelegate {
}
internal func didComplete(currentComponent: Component) {
+ // TODO: find real result
delegate?.didComplete(with: .authorised, component: currentComponent, session: self)
}
| chore: temp result for didComplete | null | adyen/adyen-ios | MIT License | Swift |
@@ -35,6 +35,9 @@ public class UserProfileDTO {
@JsonProperty("isConfigurable")
boolean isConfigurable = false;
+ @JsonProperty("adminSettingsVisible")
+ boolean adminSettingsVisible = false;
+
CommentOnboardingState commentOnboardingState;
String photoId;
| chore: Adding variable to track admin settings visibility in user profile | null | appsmithorg/appsmith | Apache License 2.0 | Java |
//
import Foundation
+import Amplify
@testable import AWSDataStoreCategoryPlugin
class MockStateMachine<S, A>: StateMachine<S, A> {
typealias ExpectActionCriteria = (_ action: A) -> Void
- var expectActionCriteriaQueue: [ExpectActionCriteria]
+ var expectActionCriteriaQueue: AtomicValue<[ExpectActionCriteria]>
override... | chore: Fix data race in MockStateMachine | null | aws-amplify/amplify-ios | Apache License 2.0 | Swift |
@@ -206,7 +206,7 @@ public class JWTSupport implements JWTGenerator {
} else {
// TODO support PKCS#1
// TODO support JWK strings
- throw new SnowOwl.InitializationException(String.format("Unsupported private key header. Snow Owl supports the PKCS8 private key format."));
+ throw new SnowOwl.InitializationException("Un... | chore(auth): remove unnecessary String.format | null | b2ihealthcare/snow-owl | Apache License 2.0 | Java |
@@ -90,7 +90,7 @@ class PinpointAnalyticsInstrumentationTest {
// Act: Record the event
Amplify.Analytics.recordEvent(event)
- Sleep.milliseconds(RECORD_INSERTION_TIMEOUT)
+ Sleep.milliseconds(DEFAULT_TIMEOUT)
Amplify.Analytics.flushEvents()
val hubEvents = hubAccumulator.await(10, TimeUnit.SECONDS)
val submittedEvents... | chore: fix inconsistency with endpointWithAttributes test | null | aws-amplify/amplify-android | Apache License 2.0 | Kotlin |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.